Get a Webhook Log
curl --request GET \
--url https://prod-api.raisedonors.com/api/Webhook/{id}/log/{logId} \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://prod-api.raisedonors.com/api/Webhook/{id}/log/{logId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://prod-api.raisedonors.com/api/Webhook/{id}/log/{logId}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://prod-api.raisedonors.com/api/Webhook/{id}/log/{logId}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://prod-api.raisedonors.com/api/Webhook/{id}/log/{logId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.get("https://prod-api.raisedonors.com/api/Webhook/{id}/log/{logId}")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://prod-api.raisedonors.com/api/Webhook/{id}/log/{logId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_bodyconst url = 'https://prod-api.raisedonors.com/api/Webhook/{id}/log/{logId}';
const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"id": 918234,
"webhookId": 3401,
"contextId": 602347,
"eventTypeDisplay": "Gift Created",
"serverResponse": "{\"received\":true}",
"success": "True",
"httpStatusCode": "200",
"createdDate": "2025-11-12T12:42:16Z",
"modifiedDate": "2025-11-12T12:42:16Z",
"webhookName": "Gift feed to integration service",
"payLoad": "{\"eventType\":\"GiftCreated\",\"giftId\":602347,\"donorId\":202999,\"amount\":250.00}"
}{
"type": "https://tools.ietf.org/html/rfc7235#section-3.1",
"title": "Unauthorized",
"status": 401,
"detail": "The Authorization header is missing, malformed, or carries a token that is expired or revoked.",
"instance": "/api/Webhook/{id}/log/{logId}"
}{
"type": "https://tools.ietf.org/html/rfc7231#section-6.5.4",
"title": "Not Found",
"status": 404,
"detail": "Webhook 3401 was not found.",
"instance": "/api/Webhook/3401/log/918234"
}Webhook
Get a Webhook Log
Returns a single delivery log entry, including the payLoad that was posted to the notification URL.
GET
https://prod-api.raisedonors.com
/
api
/
Webhook
/
{id}
/
log
/
{logId}
Get a Webhook Log
curl --request GET \
--url https://prod-api.raisedonors.com/api/Webhook/{id}/log/{logId} \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://prod-api.raisedonors.com/api/Webhook/{id}/log/{logId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://prod-api.raisedonors.com/api/Webhook/{id}/log/{logId}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://prod-api.raisedonors.com/api/Webhook/{id}/log/{logId}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://prod-api.raisedonors.com/api/Webhook/{id}/log/{logId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.get("https://prod-api.raisedonors.com/api/Webhook/{id}/log/{logId}")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://prod-api.raisedonors.com/api/Webhook/{id}/log/{logId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_bodyconst url = 'https://prod-api.raisedonors.com/api/Webhook/{id}/log/{logId}';
const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"id": 918234,
"webhookId": 3401,
"contextId": 602347,
"eventTypeDisplay": "Gift Created",
"serverResponse": "{\"received\":true}",
"success": "True",
"httpStatusCode": "200",
"createdDate": "2025-11-12T12:42:16Z",
"modifiedDate": "2025-11-12T12:42:16Z",
"webhookName": "Gift feed to integration service",
"payLoad": "{\"eventType\":\"GiftCreated\",\"giftId\":602347,\"donorId\":202999,\"amount\":250.00}"
}{
"type": "https://tools.ietf.org/html/rfc7235#section-3.1",
"title": "Unauthorized",
"status": 401,
"detail": "The Authorization header is missing, malformed, or carries a token that is expired or revoked.",
"instance": "/api/Webhook/{id}/log/{logId}"
}{
"type": "https://tools.ietf.org/html/rfc7231#section-6.5.4",
"title": "Not Found",
"status": 404,
"detail": "Webhook 3401 was not found.",
"instance": "/api/Webhook/3401/log/918234"
}Use it to compare what Raise sent against what your endpoint received.
Authorizations
Path Parameters
Response
OK
Represents a webhook log model.
Was this page helpful?